const system = require("../../system");
const settings = require("../../../config/settings");
const uiconfig = system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
  return db.define("tlorder", {
    orderNo: DataTypes.STRING(50),//订单号
    wxPayOrderCode: DataTypes.STRING(50),//业务微信支付订单号
    aliPayOrderCode: DataTypes.STRING(50),//业务支付宝支付订单号
    busPayOrderCode: DataTypes.STRING(50),//业务支付订单号
    orderPayStatus: DataTypes.STRING(50),//支付状态，wfk，yfk
    company_id: DataTypes.INTEGER,
    other_company_id: DataTypes.INTEGER,
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'tl_order',
      validate: {

      },
      indexes: [
      ]
    });
}
